Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Interface CatalogQuery

All Superinterfaces
  Serializable

All Known Subinterfaces:
  KeywordQuery, ProductItemQuery

All Known Implementing Classes:
  CatalogQueryImpl, KeywordQueryImpl, ProductItemQueryImpl

Deprecated

    @Deprecated
    public interface CatalogQuery

extends Serializable

This interface defines the basic functionality required to perform Product Catalog searches. Interfaces that extend `CatalogQuery` define functionality required to perform specific types of Product Catalog searches.

See Also
  `CatalogQueryManager`

Field Summary
`static int` | `ALL_RESULTS` Deprecated Constant to indicate to the search mechanism that all search results should be returned.

Method Summary
`int` | `getMaxSearchResults()` Deprecated Returns the maximum number of search results.
`void` | `setMaxSearchResults(int searchResults)` Deprecated Set the maximum search results size

Field Detail

### ALL_RESULTS

    static final int ALL_RESULTS

  Deprecated
  Constant to indicate to the search mechanism that all search results should be returned. Use this constant in the `setMaxSearchResults` method.

  See Also
    Constants Summary

Method Detail

### getMaxSearchResults

    int getMaxSearchResults()

  Deprecated
  Returns the maximum number of search results.

  Returns
    maximum number of search results

### setMaxSearchResults

    void setMaxSearchResults(int searchResults)

  Deprecated
  Set the maximum search results size

  Parameters
    `maxSearchResults` - the user specific maximum search results
  Throws
    `IllegalArgumentException` - on invalid search result size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.